Activity

List organization activity

GET/v1/organization/activity

Lists the organization's audit log entries that match the query filters.

Autorizaciones

  • Authorizationstringheaderobligatorio

    Organization API key (org_...), created in the cloud console at https://cloud.serverside.com and shown once, sent as Authorization: Bearer <key>. It authenticates as the organization.

Permiso necesario: organization.activity.read

Parámetros de consulta

  • filterobject
  • pageinteger<int32>

    Límites:1 <= x <= 2147483

  • pageSizeinteger<int32>

    Límites:1 <= x <= 1000

  • sortColumnstring
  • ascendingboolean
  • actionPrefixstring
  • actorIdstring<uuid>
  • actorTypeenum<string>

    Valores permitidos:SYSTEMUSERAPI_KEYADMIN

  • severityenum<string>

    Valores permitidos:INFOWARNINGCRITICAL

  • targetEntityTypeenum<string>

    Valores permitidos:NONEBAREMETAL_SERVICEBAREMETAL_NODEINVOICEORDERSUBSCRIPTIONORGANIZATIONUSERSPNIP_BLOCKISO_FILEAPI_KEYSSH_KEYROLEPAYMENT_METHOD

  • targetEntityIdstring<uuid>
  • fromstring<date-time>
  • tostring<date-time>

Respuesta

200 · application/json

OK

  • successbooleanobligatorio

    Valores permitidos:true

  • dataobject[] | nullobligatorio
  • paginationobject